%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name openshift-origin-dns-bind
%global rubyabi 1.9.1

Summary:       OpenShift plugin for BIND service
Name:          rubygem-%{gem_name}
Version:       1.5.1
Release:       2%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           http://openshift.redhat.com
Source0:       http://mirror.openshift.com/pub/openshift-origin/source/%{name}/%{gem_name}-%{version}.gem
%if 0%{?fedora} >= 19
Requires:      %{?scl:%scl_prefix}ruby(release) >= %{rubyabi}
%else
Requires:      %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
Requires:      %{?scl:%scl_prefix}rubygems
Requires:      %{?scl:%scl_prefix}rubygem(json)
Requires:      %{?scl:%scl_prefix}rubygem(dnsruby)
Requires:      rubygem(openshift-origin-common)
Requires:      bind
Requires:      bind-utils
Requires:      openshift-origin-broker
Requires:      selinux-policy-targeted
Requires:      policycoreutils-python
%if 0%{?fedora} >= 19
BuildRequires: %{?scl:%scl_prefix}ruby(release) >= %{rubyabi}
%else
BuildRequires: %{?scl:%scl_prefix}ruby(abi) >= %{rubyabi}
%endif
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %version

%description
Provides a Bind DNS service based plugin

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
gem install -V \
        --local \
        --install-dir .%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# Add documents/examples
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
cp -r doc/* %{buildroot}%{_docdir}/%{name}-%{version}/

#Config file
mkdir -p %{buildroot}/etc/openshift/plugins.d
cp %{buildroot}/%{gem_dir}/gems/%{gem_name}-%{version}/conf/openshift-origin-dns-bind.conf.example %{buildroot}/etc/openshift/plugins.d/openshift-origin-dns-bind.conf.example


%files
%doc LICENSE COPYRIGHT Gemfile
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%exclude %{gem_cache}
/etc/openshift/plugins.d/openshift-origin-dns-bind.conf.example

%changelog
* Tue Mar 12 2013 Troy Dawson <tdawson@redhat.com> 1.5.1-2
- Change the source from a tar to gem

* Tue Mar 12 2013 Troy Dawson <tdawson@redhat.com> 1.5.1-1
- Add yard documentation markup to DNS plugins (mlamouri@redhat.com)
- fix rubygem sources (tdawson@redhat.com)
- Fixes for ruby193 (john@ibiblio.org)

* Tue Mar 12 2013 Troy Dawson <tdawson@redhat.com> 1.5.0-1
- Update to version 1.5.0

* Fri Feb 15 2013 Troy Dawson <tdawson@redhat.com> 1.4.1-2
- Change the source from a tar to gem

* Fri Feb 15 2013 Troy Dawson <tdawson@redhat.com> 1.4.1-1
- change %%define to %%global (tdawson@redhat.com)
- remove BuildRoot: (tdawson@redhat.com)
- make Source line uniform among all spec files (tdawson@redhat.com)
- 875575 (dmcphers@redhat.com)
- removing txt records (dmcphers@redhat.com)

* Fri Feb 08 2013 Troy Dawson <tdawson@redhat.com> 1.4.0-1
- Update to version 1.4.0

* Wed Jan 16 2013 Troy Dawson <tdawson@redhat.com> 1.1.1-2
- Change the source from a tar to gem

* Fri Jan 11 2013 Troy Dawson <tdawson@redhat.com> 1.1.1-1
- updated gemspecs so they work with scl rpm spec files. (tdawson@redhat.com)
- F18 compatibility fixes   - apache 2.4   - mongo journaling   - JDK 7   -
  parseconfig gem update Bugfix for Bind DNS plugin (kraman@gmail.com)
- add config to gemspec (dmcphers@redhat.com)
- Moving plugins to Rails 3.2.8 engine (kraman@gmail.com)
- getting specs up to 1.9 sclized (dmcphers@redhat.com)
- specifying rake gem version range (abhgupta@redhat.com)
- Moving broker config to /etc/openshift/broker.conf Rails app and all oo-*
  scripts will load production environment unless the
  /etc/openshift/development marker is present Added param to specify default
  when looking up a config value in OpenShift::Config Moved all defaults into
  plugin initializers instead of separate defaults file No longer require
  loading 'openshift-origin-common/config' if 'openshift-origin-common' is
  loaded openshift-origin-common selinux module is merged into F16 selinux
  policy. Removing from broker %%postrun (kraman@gmail.com)

* Tue Oct 23 2012 Brenton Leanhardt <bleanhar@redhat.com> 0.8.12-1
- removing remaining cases of SS and config.ss (dmcphers@redhat.com)
- Making openshift-origin-msg-broker-mcollective a Rails engine so that it can
  hook into Rails initializers Making openshift-origin-dns-bind a Rails engine
  so that it can hook into Rails initializers (kraman@gmail.com)
* Wed Aug 22 2012 Troy Dawson <tdawson@redhat.com> -  0.8.5-7
- Renamed library to correct name

* Thu Aug 09 2012 Adam Miller <admiller@redhat.com> - 0.8.5-6
- don't clean up false positive wrong-file-end-of-line-encoding
- Remove un-needed symlinks to ruby_vendorlibdir

* Tue Aug 07 2012 Adam Miller <admiller@redhat.com> - 0.8.5-5
- removed non rubygem package as its no longer needed
- clean up wrong-file-end-of-line-encoding for ri doc files

* Tue Jul 31 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-4
- Changed name to rubygem-openshift-origin-dns-bind
- Added rubygem(dnsruby) requires
- Removed selinux-policy and policycoreutils dependancies

* Tue Jul 24 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-3
- change ruby_sitelibdir to ruby_vendorlibdir per guidelines

* Fri Jul 20 2012 Troy Dawson <tdawson@redhat.com> 0.8.5-2
- Ported to be include in Fedora 18

* Wed May 30 2012 Krishna Raman <kraman@gmail.com> 0.8.5-1
- Adding livecd build scripts Adding a text only minimal version of livecd
  Added ability to access livecd dns from outside VM (kraman@gmail.com)

* Fri Apr 27 2012 Krishna Raman <kraman@gmail.com> 0.8.4-1
- cleaning up spec files (dmcphers@redhat.com)

* Sat Apr 21 2012 Krishna Raman <kraman@gmail.com> 0.8.3-1
- new package built with tito
